+ Post New Thread
Page 51 of 648 FirstFirst ... 41 49 50 51 52 53 61 101 151 551 ... LastLast
Threads 1251 to 1275 of 16195

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 94,725
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 77,070
    18th Sep 2006 10:46 pm Go to last post
  1. Bolt

    Good morning everyone I have a query if someone can help me is about Autolisp. (Princ "\ nThis is a test") I would like that where it proves test it was in bold

    Started by francesc‎, 17th Mar 2017 12:46 pm
    • Replies: 2
    • Views: 1,336
    17th Mar 2017 10:44 pm Go to last post
  2. Repeating function for the mid between 2 points and writing their distance

    Hello, I made the following: (defun c:MC () (setq au* (getvar "aunits")) (setq osm* (getvar "osmode")) (setvar "aunits" 3) (setvar "osmode" 0) (setq pt1 (getpoint)) (setq pt2 (getpoint...

    Started by tsotzo‎, 11th Mar 2017 01:51 am
    2 Pages
    1 2
    distance between 2 points, function
    • Replies: 15
    • Views: 1,636
    17th Mar 2017 07:59 pm Go to last post
  3. select annotative blocks

    Hi. I wanted to know if there is any lisp that selects annotative blocks Thank you

    Started by amcdicsac‎, 16th Mar 2017 08:42 pm
    • Replies: 5
    • Views: 1,390
    17th Mar 2017 04:02 am Go to last post
  4. Need help with closing plines

    Hi, I'm closing plines with this code: (vla-put-closed (vlax-ename->vla-object ent) :vlax-true) But some of my plines are closing with bulged segment, can someone help me, to write lisp where...

    Started by ziele_o2k‎, 15th Mar 2017 06:42 am
    • Replies: 7
    • Views: 1,181
    17th Mar 2017 03:54 am Go to last post
  5. Idea Help with TEXT OFFSET Lisp routine. Thanks

    I am so close to getting this code to perform but need some final touches and manipulaton.. Currently it offsets all text on a specific layer and copy's and moves it up "0.15" which is what we...

    Started by tmelancon‎, 12th Nov 2014 04:56 pm
    copy, lisp, offset, text
    • Replies: 7
    • Views: 4,488
    17th Mar 2017 01:21 am Go to last post
  6. Set dim units and precision for vla-adddimdiametric

    Hello! Would anyone here know how to set the dim units and precision that the function vla-adddimdiametric would use? Currently when I use this function in a routine that automatically dimensions...

    Started by drafter_joe‎, 16th Mar 2017 05:22 pm
    • Replies: 9
    • Views: 683
    16th Mar 2017 06:50 pm Go to last post
  7. put circle around each selected object(multiple)

    I have heard of a lisp that will put a circle around each arc in a drawing after all polylines are exploded. Anybody know where I might find that script?

    Started by David D‎, 16th Mar 2017 03:29 pm
    • Replies: 3
    • Views: 853
    16th Mar 2017 05:38 pm Go to last post
  8. Export text insertion points to Excel

    Does anyone have any idea how to export the insertion points of Text (and the contents of the text itself) to an excel file (.xls or .csv will be fine) All help much appreciated.

    Started by NBC‎, 20th Jul 2009 11:53 am
    • Replies: 3
    • Views: 5,000
    16th Mar 2017 12:58 pm Go to last post
  9. Advice on a simple door tool

    Okay, so I know there are plenty of door tools out there, but none of them have so far done what I've wanted or look how I want them to. I need something that will allow me to choose a door...

    Started by Clifford169‎, 12th Jan 2017 09:22 am
    4 Pages
    1 2 3 ... 4
    • Replies: 31
    • Views: 8,288
    16th Mar 2017 10:42 am Go to last post
  10. Building a Point List

    I haven't tried this in a while but what I need to do is to build a list of points which can be used to construct a polyline. (setq pt1 '(0.0 0.0) pt1 (append pt1 (list (car pt1) (+...

    Started by Bill Tillman‎, 15th Mar 2017 11:01 pm
    • Replies: 4
    • Views: 921
    16th Mar 2017 08:41 am Go to last post
  11. How to replace a MTEXT of an attribute

    Hi all, I would like to know how I can replace a MTEXT (not TEXT) of an attribute by selecting a TEXT/MTEXT. Thank you so much !

    Started by LauKwokFai‎, 16th Mar 2017 08:24 am
    attrub, mtext
    • Replies: 0
    • Views: 971
    16th Mar 2017 08:24 am Go to last post
  12. Question Create a DXF programatically

    I'm trying to create a DXF that contains a single rectangle of varying sizes through C#. Right now our CNC operators open up a cut file, stretch the file to the proper dimensions, save as a DXF and...

    Started by DKT‎, 2nd Mar 2017 09:57 pm
    • Replies: 5
    • Views: 1,204
    16th Mar 2017 06:54 am Go to last post
  13. Lisp to select entity by window

    I have this lisp to select an entity by a crossing window but I am getting an error. Can anyone help? (defun c:OSi ( /p1 p2 sel1) (setq p1 476.702,-48.6347) (setq p2 472.854,-44.789)...

    Started by woodman78‎, 21st Jan 2013 04:30 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 6,117
    16th Mar 2017 05:59 am Go to last post
  14. Get area of polyline detail of square feet, square metre, acres

    Some one help me to make lsp for get area. It should contain detail of square feet, square metre, acres

    Started by dgp123‎, 11th Mar 2017 06:51 pm
    3 Pages
    1 2 3
    • Replies: 27
    • Views: 3,792
    16th Mar 2017 03:05 am Go to last post
  15. Would this be possible with lisp?

    Hello all, I got an idea for a PLOT function, but i'd like to know if it would be possible to make in LISP or not... I'd like to have a command, that opens a pop-up (DCL), wich shows a list of...

    Started by Aftertouch‎, 15th Mar 2017 10:43 am
    • Replies: 3
    • Views: 670
    16th Mar 2017 03:01 am Go to last post
  16. vplayer freeze by lisp if another layer is frozen

    I have already created a lisp that verify if a layer is frozen. If true, an other layer is frozen too. (if (= (vla-get-Freeze layer1) :vlax-true) (command "VPlayer" "FREEZE" "layer2" "" "")) How...

    Started by pmayer‎, 15th Feb 2017 09:52 pm
    vplayers
    • Replies: 5
    • Views: 1,861
    15th Mar 2017 08:01 pm Go to last post
  17. replace an object (rectangle) with a named block and keep the hyperlink

    How to Replace an object (rectangle) with a named block and keep the hyperlink. Can it be done bij lisp? Jaap

    Started by Jaap Marchal‎, 9th Dec 2010 07:11 pm
    2 Pages
    1 2
    • Replies: 18
    • Views: 9,540
    15th Mar 2017 05:17 pm Go to last post
  18. Question Cleating lisp

    Hey Everyone, Wanted to know if there was a lisp routine that would draw a rectangle and then make lines that connect the inside corners to make an "X" on the inside of the rectangle. Thanks...

    Started by JoeyG_77‎, 7th Mar 2017 04:25 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 1,324
    15th Mar 2017 04:06 pm Go to last post
  19. get TEXT content????

    how do i get the TEXT content and put it as elevation on objects i'll be slecting? (defun c:q1 (/ txt1 q1 ss) (setq ss (ssget "_C" '((0 . "*TEXT")))) (cdr (assoc 1 (entget (ssname ss (setq...

    Started by ktbjx‎, 14th Mar 2017 12:28 pm
    • Replies: 8
    • Views: 1,049
    15th Mar 2017 01:47 pm Go to last post
  20. Nudge affected by LISPs/ACADDOC.lsp

    Before Christmas I introduced several lisps to my company workstations. To do this, I created an ACADDOC.lsp to load the applications from my server. This worked like a charm and I have no issues...

    Started by Clifford169‎, 19th Jan 2017 05:13 pm
    • Replies: 8
    • Views: 1,808
    15th Mar 2017 10:56 am Go to last post
  21. Shortcut to ()

    Hello to all It is very hard every time to press shift+) to write "(" or ")" so my question is there short way to write (). With out press shift! When we press key "0" to write ")" ?!

    Started by vlisp‎, 14th Mar 2017 08:10 am
    • Replies: 4
    • Views: 721
    15th Mar 2017 08:46 am Go to last post
  22. AutoLisp Dim Command

    I type the following command: (command "dim" "scale" "0.06" ""). AutoCAD accepts the command and tells me I must input "exit" to exit the command. I do this on the command line and it works fine,...

    Started by Nick1940‎, 14th Mar 2017 03:27 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 3,365
    15th Mar 2017 07:08 am Go to last post
  23. Unhappy Dwg to pdf

    hi guys, I have found a desired lisp routine to convert DWG TO PDF after long googling and made little changes to suit my requirement. Here problem is this routine converts each DWG at a time but...

    Started by naren‎, 14th Mar 2017 07:02 am
    2 Pages
    1 2
    dwg to pdf
    • Replies: 12
    • Views: 2,881
    15th Mar 2017 02:50 am Go to last post
  24. linetype scale issue

    hi guys, i have been looking for a solution to a linetype scale issue i have: i have a double barrier line marking layer (centre of roads) that has a linetype of a double line (crudely...

    Started by jt6572‎, 14th Mar 2017 06:08 am
    • Replies: 6
    • Views: 863
    15th Mar 2017 01:20 am Go to last post
  25. Question Detach Specific Xref

    Is there a lisp routine I can use to detach a specific xref. Example: PE seal on all drawings to be removed.

    Started by cmchadwick‎, 14th Mar 2017 08:38 pm
    • Replies: 1
    • Views: 387
    14th Mar 2017 09:00 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts